Bug 1432076 - Review Request: urh - Universal Radio Hacker: investigate wireless protocols like a boss
Summary: Review Request: urh - Universal Radio Hacker: investigate wireless protocols ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arthur Mello
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-14 13:22 UTC by Jaroslav Škarvada
Modified: 2017-07-07 22:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 01:52:30 UTC
Type: ---
amello: fedora-review+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2017-03-14 13:22:23 UTC
Spec URL: https://jskarvad.fedorapeople.org/urh/urh.spec
SRPM URL: https://jskarvad.fedorapeople.org/urh/urh-1.5.7-1.fc25.src.rpm
Description: The Universal Radio Hacker is a software for investigating unknown wireless protocols.
Fedora Account System Username: jskarvad

Comment 3 Arthur Mello 2017-06-16 19:22:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: urh : /usr/lib64/python3.5/site-
  packages/urh/dev/native/includes/libhackrf/hackrf.h urh :
  /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-sdr.h urh
  : /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-
  sdr_export.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path. 
     /*************************************************************************
      * Unversioned so-files generated via CPython.
      ************************************************************************/
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     /*************************************************************************
      * Legal section mentions that if src contains generated code, original
      * source files from which it was generated must be added. Some binaries
      * presented on src are deleted during %prep but data/hacker.prof is still
      * present. It is not clear if such file is necessary to build package and
      * how it is generated.
      ************************************************************************/
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (3 clause)", "GPL (v2 or later)", "GPL
     (v3 or later)", "Unknown or generated". 351 files have unknown
     license. Detailed output of licensecheck attached:
     /*************************************************************************
      * Following documentation under Fedora Licensing, ASL 2.0 (pkg license)
      * it is not compatible with GPL v2. Package contains GPL v2 or later 
      * license in some files. It is not clear for me if ASL is compatible with
      * such scenario, so please ignore this if it was. 
      ************************************************************************/
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!] : Sources contain only permissible code or content.
     /*************************************************************************
      * Doubts about hacker.proof file
      ************************************************************************/
[!]: Development files must be in a -devel package
     /*************************************************************************
      * Again CPython files, not sure if we are able to remove those or no
      ************************************************************************/
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in urh
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in urh-
     debuginfo
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: urh-1.5.7-1.fc25.x86_64.rpm
          urh-debuginfo-1.5.7-1.fc25.x86_64.rpm
          urh-1.5.7-1.fc25.src.rpm
urh.x86_64: E: description-line-too-long C The Universal Radio Hacker is a software for investigating unknown wireless protocols.
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/cythonext/util.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/cythonext/signalFunctions.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/includes/libhackrf/hackrf.h
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-sdr_export.h
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-sdr.h
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/main.py /usr/bin/env python3
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/main.py 644 /usr/bin/env python3
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/cythonext/path_creator.cpp
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py 644 /usr/bin/env python2
urh.x86_64: W: no-manual-page-for-binary urh
urh.src: E: description-line-too-long C The Universal Radio Hacker is a software for investigating unknown wireless protocols.
3 packages and 0 specfiles checked; 24 errors, 12 warnings.




Rpmlint (debuginfo)
-------------------
Checking: urh-debuginfo-1.5.7-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
urh.x86_64: E: description-line-too-long C The Universal Radio Hacker is a software for investigating unknown wireless protocols.
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libstdc++.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libm.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libgcc_s.so.1
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libpthread.so.0
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libstdc++.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libm.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libgcc_s.so.1
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libpthread.so.0
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/main.py /usr/bin/env python3
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/main.py 644 /usr/bin/env python3
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/cythonext/signalFunctions.cpp
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-sdr.h
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/cythonext/path_creator.cpp
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/includes/libhackrf/hackrf.h
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/cythonext/util.cpp
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-sdr_export.h
urh.x86_64: W: no-manual-page-for-binary urh
2 packages and 0 specfiles checked; 23 errors, 20 warnings.



Requires
--------
urh-debuginfo (rpmlib, GLIBC filtered):

urh (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libhackrf.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    librtlsdr.so.0()(64bit)
    libstdc++.so.6()(64bit)
    python(abi)
    python3-numpy
    python3-psutil
    python3-qt5
    python3-zmq
    rtld(GNU_HASH)



Provides
--------
urh-debuginfo:
    urh-debuginfo
    urh-debuginfo(x86-64)

urh:
    application()
    application(urh.desktop)
    python3.5dist(urh)
    python3dist(urh)
    urh
    urh(x86-64)



Unversioned so-files
--------------------
// Unversioned so-files generated via CPython.
urh: /usr/lib64/python3.5/site-packages/urh/cythonext/path_creator.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/cythonext/signalFunctions.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/cythonext/util.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so

LicenseCheck
------------
Apache (v2.0)
-------------
urh-1.5.7/LICENSE

BSD (3 clause)
--------------
urh-1.5.7/src/urh/dev/native/includes/libhackrf/hackrf.h

GPL (v2 or later)
-----------------
urh-1.5.7/src/urh/dev/native/includes/rtl-sdr.h
urh-1.5.7/src/urh/dev/native/includes/rtl-sdr_export.h

GPL (v3 or later)
-----------------
urh-1.5.7/doc/costas_loop.cc

Unknown or generated
--------------------
urh-1.5.7/.codeclimate.yml
urh-1.5.7/.coveragerc
urh-1.5.7/.travis.yml
urh-1.5.7/README.md
urh-1.5.7/build_icons.py
urh-1.5.7/data/decodings/enocean_switchtelegram.c
urh-1.5.7/data/decodings/homematic.c
urh-1.5.7/data/decodings/test.c
urh-1.5.7/data/decodings/test.sh
urh-1.5.7/data/hacker.prof
urh-1.5.7/data/icons/ajax-loader.gif
urh-1.5.7/data/icons/appicon.png
urh-1.5.7/data/icons/arrow_down_generator.png
urh-1.5.7/data/icons/arrow_right_generator.png
urh-1.5.7/data/icons/configure.png
urh-1.5.7/data/icons/downarrow.png
urh-1.5.7/data/icons/equals_generator.png
urh-1.5.7/data/icons/expand.png
urh-1.5.7/data/icons/icon.xcf
urh-1.5.7/data/icons/lock.svg
urh-1.5.7/data/icons/plus.png
urh-1.5.7/data/icons/shrink.png
urh-1.5.7/data/icons/unlock.svg
urh-1.5.7/data/icons/uparrow.png
urh-1.5.7/data/sniff_runter2-hexdiffman.txt
urh-1.5.7/data/sniff_runter2-hexman2.txt
urh-1.5.7/data/test3_noise.txt
urh-1.5.7/doc/Amateur Signals Intelligence.pdf
urh-1.5.7/doc/Codierungen.pdf
urh-1.5.7/doc/Gnuradio-Decouple.txt
urh-1.5.7/doc/QtViewMatrix.png
urh-1.5.7/doc/fm_demod.txt
urh-1.5.7/doc/gen_doc.py
urh-1.5.7/doc/screenshots/analysis_full.png
urh-1.5.7/doc/screenshots/choose_decoding.png
urh-1.5.7/doc/screenshots/decoding_1.png
urh-1.5.7/doc/screenshots/decoding_2.png
urh-1.5.7/doc/screenshots/interpretation_full.png
urh-1.5.7/doc/screenshots/record_signal.png
urh-1.5.7/doc/screenshots/youtube.png
urh-1.5.7/generate_ui.py
urh-1.5.7/misc/IQGenerator.py
urh-1.5.7/misc/Plotter.py
urh-1.5.7/misc/USRP_init.py
urh-1.5.7/misc/__init__.py
urh-1.5.7/misc/dsp.py
urh-1.5.7/misc/test.py
urh-1.5.7/release.py
urh-1.5.7/requirements.txt
urh-1.5.7/setup.py
urh-1.5.7/src/urh/FFTSceneManager.py
urh-1.5.7/src/urh/LiveSceneManager.py
urh-1.5.7/src/urh/SceneManager.py
urh-1.5.7/src/urh/SignalSceneManager.py
urh-1.5.7/src/urh/awre/CommonRange.py
urh-1.5.7/src/urh/awre/FormatFinder.py
urh-1.5.7/src/urh/awre/components/Address.py
urh-1.5.7/src/urh/awre/components/Component.py
urh-1.5.7/src/urh/awre/components/Flags.py
urh-1.5.7/src/urh/awre/components/Length.py
urh-1.5.7/src/urh/awre/components/Preamble.py
urh-1.5.7/src/urh/awre/components/SequenceNumber.py
urh-1.5.7/src/urh/awre/components/Type.py
urh-1.5.7/src/urh/constants.py
urh-1.5.7/src/urh/controller/CompareFrameController.py
urh-1.5.7/src/urh/controller/DecoderWidgetController.py
urh-1.5.7/src/urh/controller/FuzzingDialogController.py
urh-1.5.7/src/urh/controller/GeneratorTabController.py
urh-1.5.7/src/urh/controller/MainController.py
urh-1.5.7/src/urh/controller/MessageTypeDialogController.py
urh-1.5.7/src/urh/controller/ModulatorDialogController.py
urh-1.5.7/src/urh/controller/OptionsController.py
urh-1.5.7/src/urh/controller/PluginController.py
urh-1.5.7/src/urh/controller/ProjectDialogController.py
urh-1.5.7/src/urh/controller/ProtocolLabelController.py
urh-1.5.7/src/urh/controller/ProtocolSniffDialogController.py
urh-1.5.7/src/urh/controller/ReceiveDialogController.py
urh-1.5.7/src/urh/controller/SendDialogController.py
urh-1.5.7/src/urh/controller/SendRecvDialogController.py
urh-1.5.7/src/urh/controller/SignalDetailsController.py
urh-1.5.7/src/urh/controller/SignalFrameController.py
urh-1.5.7/src/urh/controller/SignalTabController.py
urh-1.5.7/src/urh/controller/SpectrumDialogController.py
urh-1.5.7/src/urh/cythonext/analyze.py
urh-1.5.7/src/urh/cythonext/build.py
urh-1.5.7/src/urh/cythonext/path_creator.cpp
urh-1.5.7/src/urh/cythonext/path_creator.pyx
urh-1.5.7/src/urh/cythonext/signalFunctions.cpp
urh-1.5.7/src/urh/cythonext/signalFunctions.pyx
urh-1.5.7/src/urh/cythonext/util.cpp
urh-1.5.7/src/urh/cythonext/util.pyx
urh-1.5.7/src/urh/dev/BackendHandler.py
urh-1.5.7/src/urh/dev/PCAP.py
urh-1.5.7/src/urh/dev/VirtualDevice.py
urh-1.5.7/src/urh/dev/gr/AbstractBaseThread.py
urh-1.5.7/src/urh/dev/gr/ReceiverThread.py
urh-1.5.7/src/urh/dev/gr/SenderThread.py
urh-1.5.7/src/urh/dev/gr/SpectrumThread.py
urh-1.5.7/src/urh/dev/gr/scripts/InputHandlerThread.py
urh-1.5.7/src/urh/dev/gr/scripts/airspy_recv.grc
urh-1.5.7/src/urh/dev/gr/scripts/airspy_recv.py
urh-1.5.7/src/urh/dev/gr/scripts/bladerf_recv.grc
urh-1.5.7/src/urh/dev/gr/scripts/bladerf_recv.py
urh-1.5.7/src/urh/dev/gr/scripts/bladerf_send.grc
urh-1.5.7/src/urh/dev/gr/scripts/bladerf_send.py
urh-1.5.7/src/urh/dev/gr/scripts/funcube-dongle_recv.grc
urh-1.5.7/src/urh/dev/gr/scripts/funcube-dongle_recv.py
urh-1.5.7/src/urh/dev/gr/scripts/hackrf_recv.grc
urh-1.5.7/src/urh/dev/gr/scripts/hackrf_recv.py
urh-1.5.7/src/urh/dev/gr/scripts/hackrf_send.grc
urh-1.5.7/src/urh/dev/gr/scripts/hackrf_send.py
urh-1.5.7/src/urh/dev/gr/scripts/rtl-sdr_recv.py
urh-1.5.7/src/urh/dev/gr/scripts/sdrplay_recv.grc
urh-1.5.7/src/urh/dev/gr/scripts/sdrplay_recv.py
urh-1.5.7/src/urh/dev/gr/scripts/usrp_recv.grc
urh-1.5.7/src/urh/dev/gr/scripts/usrp_recv.py
urh-1.5.7/src/urh/dev/gr/scripts/usrp_send.grc
urh-1.5.7/src/urh/dev/gr/scripts/usrp_send.py
urh-1.5.7/src/urh/dev/native/Device.py
urh-1.5.7/src/urh/dev/native/HackRF.py
urh-1.5.7/src/urh/dev/native/RTLSDR.py
urh-1.5.7/src/urh/dev/native/RTLSDRTCP.py
urh-1.5.7/src/urh/dev/native/lib/chackrf.pxd
urh-1.5.7/src/urh/dev/native/lib/crtlsdr.pxd
urh-1.5.7/src/urh/dev/native/lib/hackrf.cpp
urh-1.5.7/src/urh/dev/native/lib/hackrf.pyx
urh-1.5.7/src/urh/dev/native/lib/rtlsdr.cpp
urh-1.5.7/src/urh/dev/native/lib/rtlsdr.pyx
urh-1.5.7/src/urh/dev/native/lib/rtlsdr_fallback.cpp
urh-1.5.7/src/urh/dev/native/lib/rtlsdr_fallback.pyx
urh-1.5.7/src/urh/main.py
urh-1.5.7/src/urh/models/FieldTypeTableModel.py
urh-1.5.7/src/urh/models/FileFilterProxyModel.py
urh-1.5.7/src/urh/models/FileIconProvider.py
urh-1.5.7/src/urh/models/FileSystemModel.py
urh-1.5.7/src/urh/models/FuzzingTableModel.py
urh-1.5.7/src/urh/models/GeneratorListModel.py
urh-1.5.7/src/urh/models/GeneratorTableModel.py
urh-1.5.7/src/urh/models/GeneratorTreeModel.py
urh-1.5.7/src/urh/models/LabelValueTableModel.py
urh-1.5.7/src/urh/models/PLabelTableModel.py
urh-1.5.7/src/urh/models/ParticipantLegendListModel.py
urh-1.5.7/src/urh/models/ParticipantListModel.py
urh-1.5.7/src/urh/models/PluginListModel.py
urh-1.5.7/src/urh/models/ProtocolLabelListModel.py
urh-1.5.7/src/urh/models/ProtocolTableModel.py
urh-1.5.7/src/urh/models/ProtocolTreeItem.py
urh-1.5.7/src/urh/models/ProtocolTreeModel.py
urh-1.5.7/src/urh/models/RulesetTableModel.py
urh-1.5.7/src/urh/models/TableModel.py
urh-1.5.7/src/urh/models/__init__.py
urh-1.5.7/src/urh/plugins/InsertSine/InsertSinePlugin.py
urh-1.5.7/src/urh/plugins/InsertSine/descr.txt
urh-1.5.7/src/urh/plugins/InsertSine/insert_sine_dialog.ui
urh-1.5.7/src/urh/plugins/InsertSine/settings.ui
urh-1.5.7/src/urh/plugins/MessageBreak/MessageBreakAction.py
urh-1.5.7/src/urh/plugins/MessageBreak/MessageBreakPlugin.py
urh-1.5.7/src/urh/plugins/MessageBreak/__init__.py
urh-1.5.7/src/urh/plugins/MessageBreak/descr.txt
urh-1.5.7/src/urh/plugins/MessageBreak/settings.ui
urh-1.5.7/src/urh/plugins/NetworkSDRInterface/NetworkSDRInterfacePlugin.py
urh-1.5.7/src/urh/plugins/NetworkSDRInterface/descr.txt
urh-1.5.7/src/urh/plugins/NetworkSDRInterface/settings.ui
urh-1.5.7/src/urh/plugins/Plugin.py
urh-1.5.7/src/urh/plugins/PluginManager.py
urh-1.5.7/src/urh/plugins/ZeroHide/ZeroHideAction.py
urh-1.5.7/src/urh/plugins/ZeroHide/ZeroHidePlugin.py
urh-1.5.7/src/urh/plugins/ZeroHide/__init__.py
urh-1.5.7/src/urh/plugins/ZeroHide/descr.txt
urh-1.5.7/src/urh/plugins/ZeroHide/settings.ui
urh-1.5.7/src/urh/plugins/__init__.py
urh-1.5.7/src/urh/signalprocessing/FieldType.py
urh-1.5.7/src/urh/signalprocessing/Interval.py
urh-1.5.7/src/urh/signalprocessing/Message.py
urh-1.5.7/src/urh/signalprocessing/MessageType.py
urh-1.5.7/src/urh/signalprocessing/Modulator.py
urh-1.5.7/src/urh/signalprocessing/Participant.py
urh-1.5.7/src/urh/signalprocessing/ProtocoLabel.py
urh-1.5.7/src/urh/signalprocessing/ProtocolAnalyzer.py
urh-1.5.7/src/urh/signalprocessing/ProtocolAnalyzerContainer.py
urh-1.5.7/src/urh/signalprocessing/ProtocolGroup.py
urh-1.5.7/src/urh/signalprocessing/ProtocolSniffer.py
urh-1.5.7/src/urh/signalprocessing/Ruleset.py
urh-1.5.7/src/urh/signalprocessing/Signal.py
urh-1.5.7/src/urh/signalprocessing/encoder.py
urh-1.5.7/src/urh/ui/GeneratorListWidget.py
urh-1.5.7/src/urh/ui/GridScene.py
urh-1.5.7/src/urh/ui/KillerDoubleSpinBox.py
urh-1.5.7/src/urh/ui/LabeledArrow.py
urh-1.5.7/src/urh/ui/LegendScene.py
urh-1.5.7/src/urh/ui/ListWidget.py
urh-1.5.7/src/urh/ui/ROI.py
urh-1.5.7/src/urh/ui/SaveAllDialog.py
urh-1.5.7/src/urh/ui/ScrollArea.py
urh-1.5.7/src/urh/ui/WavFileDialog.py
urh-1.5.7/src/urh/ui/ZoomableScene.py
urh-1.5.7/src/urh/ui/actions/ChangeSignalParameter.py
urh-1.5.7/src/urh/ui/actions/Clear.py
urh-1.5.7/src/urh/ui/actions/DeleteBitsAndPauses.py
urh-1.5.7/src/urh/ui/actions/EditSignalAction.py
urh-1.5.7/src/urh/ui/actions/Fuzz.py
urh-1.5.7/src/urh/ui/actions/InsertBitsAndPauses.py
urh-1.5.7/src/urh/ui/actions/InsertColumn.py
urh-1.5.7/src/urh/ui/actions/__init__.py
urh-1.5.7/src/urh/ui/delegates/CheckBoxDelegate.py
urh-1.5.7/src/urh/ui/delegates/ComboBoxDelegate.py
urh-1.5.7/src/urh/ui/delegates/SpinBoxDelegate.py
urh-1.5.7/src/urh/ui/delegates/__init__.py
urh-1.5.7/src/urh/ui/ui_analysis_frame.py
urh-1.5.7/src/urh/ui/ui_decoding.py
urh-1.5.7/src/urh/ui/ui_fuzzing.py
urh-1.5.7/src/urh/ui/ui_generator.py
urh-1.5.7/src/urh/ui/ui_main.py
urh-1.5.7/src/urh/ui/ui_messagetype_options.py
urh-1.5.7/src/urh/ui/ui_modulation.py
urh-1.5.7/src/urh/ui/ui_options.py
urh-1.5.7/src/urh/ui/ui_plugins.py
urh-1.5.7/src/urh/ui/ui_project.py
urh-1.5.7/src/urh/ui/ui_properties_dialog.py
urh-1.5.7/src/urh/ui/ui_send_recv.py
urh-1.5.7/src/urh/ui/ui_signal_details.py
urh-1.5.7/src/urh/ui/ui_signal_frame.py
urh-1.5.7/src/urh/ui/ui_tab_interpretation.py
urh-1.5.7/src/urh/ui/urh_rc.py
urh-1.5.7/src/urh/ui/views/DirectoryTreeView.py
urh-1.5.7/src/urh/ui/views/EditableGraphicView.py
urh-1.5.7/src/urh/ui/views/EpicGraphicView.py
urh-1.5.7/src/urh/ui/views/FuzzingTableView.py
urh-1.5.7/src/urh/ui/views/GeneratorListView.py
urh-1.5.7/src/urh/ui/views/GeneratorTableView.py
urh-1.5.7/src/urh/ui/views/GeneratorTreeView.py
urh-1.5.7/src/urh/ui/views/LabelValueTableView.py
urh-1.5.7/src/urh/ui/views/LegendGraphicView.py
urh-1.5.7/src/urh/ui/views/LiveGraphicView.py
urh-1.5.7/src/urh/ui/views/ModulatorTreeView.py
urh-1.5.7/src/urh/ui/views/ProtocolLabelListView.py
urh-1.5.7/src/urh/ui/views/ProtocolLabelTableView.py
urh-1.5.7/src/urh/ui/views/ProtocolTableView.py
urh-1.5.7/src/urh/ui/views/ProtocolTreeView.py
urh-1.5.7/src/urh/ui/views/SelectableGraphicView.py
urh-1.5.7/src/urh/ui/views/TableView.py
urh-1.5.7/src/urh/ui/views/TextEditProtocolView.py
urh-1.5.7/src/urh/ui/views/ZoomAndDropableGraphicView.py
urh-1.5.7/src/urh/ui/views/ZoomableGraphicView.py
urh-1.5.7/src/urh/ui/views/__init__.py
urh-1.5.7/src/urh/ui/xtra_icons_rc.py
urh-1.5.7/src/urh/util/Errors.py
urh-1.5.7/src/urh/util/FileOperator.py
urh-1.5.7/src/urh/util/Formatter.py
urh-1.5.7/src/urh/util/Logger.py
urh-1.5.7/src/urh/util/ProjectManager.py
urh-1.5.7/src/urh/util/__init__.py
urh-1.5.7/src/urh/util/crc.py
urh-1.5.7/src/urh/version.py
urh-1.5.7/tests/HackRFTests.py
urh-1.5.7/tests/PlotTests.py
urh-1.5.7/tests/SignalPerformance.py
urh-1.5.7/tests/TestGeneratorTablePerformance.py
urh-1.5.7/tests/TestInstallation.py
urh-1.5.7/tests/TestRTLSDR.py
urh-1.5.7/tests/TestRTLSDRPipe.py
urh-1.5.7/tests/TestRTLSDRTCP.py
urh-1.5.7/tests/__init__.py
urh-1.5.7/tests/data/ASK_mod.complex
urh-1.5.7/tests/data/ask.complex
urh-1.5.7/tests/data/awre_consistent_addresses.txt
urh-1.5.7/tests/data/awre_zeroed_crc.txt
urh-1.5.7/tests/data/constant_bits.txt
urh-1.5.7/tests/data/decoded_bits.txt
urh-1.5.7/tests/data/decoded_with_trash.txt
urh-1.5.7/tests/data/elektromaten.complex
urh-1.5.7/tests/data/enocean.complex
urh-1.5.7/tests/data/enocean_bits.txt
urh-1.5.7/tests/data/esaver.complex
urh-1.5.7/tests/data/fsk.complex
urh-1.5.7/tests/data/protocol.proto
urh-1.5.7/tests/data/psk_gen_noisy.complex
urh-1.5.7/tests/data/steckdose_anlernen.complex
urh-1.5.7/tests/data/two_participants.complex
urh-1.5.7/tests/data/undecoded.txt
urh-1.5.7/tests/data/vw_symbols.complex
urh-1.5.7/tests/docker/archlinux/Dockerfile
urh-1.5.7/tests/docker/archlinux/install_from_aur.sh
urh-1.5.7/tests/docker/centos7/Dockerfile
urh-1.5.7/tests/docker/debian8/Dockerfile
urh-1.5.7/tests/docker/debian8/install_from_source.sh
urh-1.5.7/tests/docker/docker_util.py
urh-1.5.7/tests/docker/gentoo/Dockerfile
urh-1.5.7/tests/docker/gentoo/run_from_source.sh
urh-1.5.7/tests/docker/info.txt
urh-1.5.7/tests/docker/kali/Dockerfile
urh-1.5.7/tests/docker/kali/install_with_pip.sh
urh-1.5.7/tests/docker/ubuntu1404/Dockerfile
urh-1.5.7/tests/docker/ubuntu1404/install_with_pip.sh
urh-1.5.7/tests/docker/ubuntu1604/Dockerfile
urh-1.5.7/tests/docker/ubuntu1604/install_with_pip.sh
urh-1.5.7/tests/test_CRC.py
urh-1.5.7/tests/test_GFSK.py
urh-1.5.7/tests/test_PCAP.py
urh-1.5.7/tests/test_RSSI.py
urh-1.5.7/tests/test_analysis_tab_GUI.py
urh-1.5.7/tests/test_auto_assignments.py
urh-1.5.7/tests/test_autodetections.py
urh-1.5.7/tests/test_awre.py
urh-1.5.7/tests/test_decoding_gui.py
urh-1.5.7/tests/test_demodulations.py
urh-1.5.7/tests/test_directory_tree_view.py
urh-1.5.7/tests/test_encoding.py
urh-1.5.7/tests/test_file_operator.py
urh-1.5.7/tests/test_fuzzing.py
urh-1.5.7/tests/test_fuzzing_profile.py
urh-1.5.7/tests/test_generator.py
urh-1.5.7/tests/test_interval.py
urh-1.5.7/tests/test_labels.py
urh-1.5.7/tests/test_maincontroller_gui.py
urh-1.5.7/tests/test_message_type_options_gui.py
urh-1.5.7/tests/test_messagetype.py
urh-1.5.7/tests/test_modulator.py
urh-1.5.7/tests/test_modulator_gui.py
urh-1.5.7/tests/test_options_gui.py
urh-1.5.7/tests/test_plugins.py
urh-1.5.7/tests/test_project_manager.py
urh-1.5.7/tests/test_protocol_analyzer.py
urh-1.5.7/tests/test_protocol_label_dialog.py
urh-1.5.7/tests/test_protocol_table.py
urh-1.5.7/tests/test_send_recv_dialog_gui.py
urh-1.5.7/tests/test_signal.py
urh-1.5.7/tests/test_signal_details_gui.py
urh-1.5.7/tests/test_signal_tab_GUI.py
urh-1.5.7/tests/test_text_edit_protocol_view.py
urh-1.5.7/tests/test_whitening.py
urh-1.5.7/tests/test_win_native_backend.py
urh-1.5.7/tests/utils_testing.py
urh-1.5.7/ui/analysis_frame.ui
urh-1.5.7/ui/decoding.ui
urh-1.5.7/ui/decoding.ui.old
urh-1.5.7/ui/fuzzing.ui
urh-1.5.7/ui/generator.ui
urh-1.5.7/ui/main.ui
urh-1.5.7/ui/messagetype_options.ui
urh-1.5.7/ui/modulation.ui
urh-1.5.7/ui/options.ui
urh-1.5.7/ui/plugins.ui
urh-1.5.7/ui/project.ui
urh-1.5.7/ui/properties_dialog.ui
urh-1.5.7/ui/send_recv.ui
urh-1.5.7/ui/signal_details.ui
urh-1.5.7/ui/signal_frame.ui
urh-1.5.7/ui/tab_interpretation.ui
urh-1.5.7/urh.desktop
urh-1.5.7/urh.qrc

Source checksums
----------------
https://github.com/jopohl/urh/archive/v1.5.7.tar.gz#/urh-1.5.7.tar.gz :
  CHECKSUM(SHA256) this package     : 8db7d490d55a7512db00574097db9dff04466bd0e1a565c8a7bb7c49e62e1554
  CHECKSUM(SHA256) upstream package : 8db7d490d55a7512db00574097db9dff04466bd0e1a565c8a7bb7c49e62e1554


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -vn urh
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Jaroslav Škarvada 2017-06-19 14:51:32 UTC
(In reply to Arthur Mello from comment #3)
Thanks for the review.

> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Header files in -devel subpackage, if present.
>   Note: urh : /usr/lib64/python3.5/site-
>   packages/urh/dev/native/includes/libhackrf/hackrf.h urh :
>   /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-sdr.h urh
>   : /usr/lib64/python3.5/site-packages/urh/dev/native/includes/rtl-
>   sdr_export.h
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
>
It seems it bundled libraries, thus removed them.

> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: gcc-c++
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
>
False positive, all deps has to be listed, no exception at the moment:
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Build-Time_Dependencies_.28BuildRequires.29

 
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Development (unversioned) .so files in -devel subpackage, if present.
>      Note: Unversioned so-files in private %_libdir subdirectory (see
>      attachment). Verify they are not in ld path. 
>     
> /*************************************************************************
>       * Unversioned so-files generated via CPython.
>      
> ************************************************************************/

IMHO no ld path, thus probably OK.

> Generic:
> [!]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
>     
> /*************************************************************************
>       * Legal section mentions that if src contains generated code, original
>       * source files from which it was generated must be added. Some binaries
>       * presented on src are deleted during %prep but data/hacker.prof is
> still
>       * present. It is not clear if such file is necessary to build package
> and
>       * how it is generated.
>      
> ************************************************************************/

hacker.prof seems like lsprof profiling data, you can visualize it by e.g.:

$ gprof2dot-py3 -f pstats hacker.prof | dot -Tpng -o output.png

very probably upstream leftover and useless for the distro, so we can remove it.

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Apache (v2.0)", "BSD (3 clause)", "GPL (v2 or later)", "GPL
>      (v3 or later)", "Unknown or generated". 351 files have unknown
>      license. Detailed output of licensecheck attached:
>     
> /*************************************************************************
>       * Following documentation under Fedora Licensing, ASL 2.0 (pkg license)
>       * it is not compatible with GPL v2. Package contains GPL v2 or later 
>       * license in some files. It is not clear for me if ASL is compatible
> with
>       * such scenario, so please ignore this if it was. 
>      
> ************************************************************************/

Thanks for the catch, it links with the hackrf and rtl-sdr which are GPLv2 and GPLv2+ respectively thus we also need GPLv2. The costas_loop is not packaged/used, so we are probably OK here, but I am explicitly removing it in the %prep to be 100% sure.

> [!] : Sources contain only permissible code or content.
>     
> /*************************************************************************
>       * Doubts about hacker.proof file
>      
> ************************************************************************/
Removed, it should be resolved now.

> [!]: Development files must be in a -devel package
>     
> /*************************************************************************
>       * Again CPython files, not sure if we are able to remove those or no
>      
> ************************************************************************/
I removed them, I think it should be OK now.

> [!]: Package complies to the Packaging Guidelines
>
It could be OK now (or at least better).

> [!]: Latest version is packaged.
>
It was a while, updated.

> [x]: Package does not include license text files separate from upstream.
> [!]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.

Non mandatory, it's rather an exception when it does in Fedora :)

> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [!]: %check is present and all tests pass.

It seems the tests are broken and are downloading libraries from the Internet. I would omit them for now.

Comment 5 Jaroslav Škarvada 2017-06-19 14:52:14 UTC
New version:
Spec URL: https://jskarvad.fedorapeople.org/urh/urh.spec
SRPM URL: https://jskarvad.fedorapeople.org/urh/urh-1.6.6-1.fc25.src.rpm

Comment 6 Arthur Mello 2017-06-19 19:01:21 UTC
Thx for addressing the comments.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 384 files have unknown license.
     Detailed output of licensecheck attached.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in urh
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in urh-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: urh-1.6.6-1.fc25.x86_64.rpm
          urh-debuginfo-1.6.6-1.fc25.x86_64.rpm
          urh-1.6.6-1.fc25.src.rpm
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/usrp.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/main.py /usr/bin/env python3
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/main.py 644 /usr/bin/env python3
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/usrp.c
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py 644 /usr/bin/env python2
urh.x86_64: W: no-manual-page-for-binary urh
3 packages and 0 specfiles checked; 22 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: urh-debuginfo-1.6.6-1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/usrp.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/usrp.cpython-35m-x86_64-linux-gnu.so /lib64/libpthread.so.0
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libstdc++.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libm.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libgcc_s.so.1
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so /lib64/libpthread.so.0
urh.x86_64: W: no-soname /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libstdc++.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libm.so.6
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libgcc_s.so.1
urh.x86_64: W: unused-direct-shlib-dependency /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so /lib64/libpthread.so.0
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/airspy_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/funcube-dongle_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/sdrplay_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/main.py /usr/bin/env python3
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/main.py 644 /usr/bin/env python3
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/usrp_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/hackrf_recv.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/bladerf_send.py 644 /usr/bin/env python2
urh.x86_64: E: wrong-script-interpreter /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py /usr/bin/env python2
urh.x86_64: E: non-executable-script /usr/lib64/python3.5/site-packages/urh/dev/gr/scripts/rtl-sdr_recv.py 644 /usr/bin/env python2
urh.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.5/site-packages/urh/dev/native/lib/usrp.c
urh.x86_64: W: no-manual-page-for-binary urh
2 packages and 0 specfiles checked; 22 errors, 14 warnings.



Requires
--------
urh-debuginfo (rpmlib, GLIBC filtered):

urh (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libhackrf.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.5m.so.1.0()(64bit)
    librtlsdr.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libuhd.so.003()(64bit)
    python(abi)
    python3-numpy
    python3-psutil
    python3-qt5
    python3-zmq
    rtld(GNU_HASH)



Provides
--------
urh-debuginfo:
    urh-debuginfo
    urh-debuginfo(x86-64)

urh:
    application()
    application(urh.desktop)
    python3.5dist(urh)
    python3dist(urh)
    urh
    urh(x86-64)



Unversioned so-files
--------------------
urh: /usr/lib64/python3.5/site-packages/urh/cythonext/path_creator.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/cythonext/signalFunctions.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/cythonext/util.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/dev/native/lib/hackrf.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/dev/native/lib/rtlsdr_fallback.cpython-35m-x86_64-linux-gnu.so
urh: /usr/lib64/python3.5/site-packages/urh/dev/native/lib/usrp.cpython-35m-x86_64-linux-gnu.so

License Check - Unknown or generated
------------------------------------
urh-1.6.6/.codeclimate.yml
urh-1.6.6/.coveragerc
urh-1.6.6/.travis.yml
urh-1.6.6/ISSUE_TEMPLATE.md
urh-1.6.6/LICENSE
urh-1.6.6/README.md
urh-1.6.6/appveyor.yml
urh-1.6.6/build_icons.py
urh-1.6.6/data/decodings/enocean_switchtelegram.c
urh-1.6.6/data/decodings/homematic.c
urh-1.6.6/data/decodings/test.c
urh-1.6.6/data/decodings/test.sh
urh-1.6.6/data/icons/ajax-loader.gif
urh-1.6.6/data/icons/appicon.png
urh-1.6.6/data/icons/arrow_down_generator.png
urh-1.6.6/data/icons/arrow_right_generator.png
urh-1.6.6/data/icons/configure.png
urh-1.6.6/data/icons/downarrow.png
urh-1.6.6/data/icons/equals_generator.png
urh-1.6.6/data/icons/expand.png
urh-1.6.6/data/icons/icon.xcf
urh-1.6.6/data/icons/lock.svg
urh-1.6.6/data/icons/plus.png
urh-1.6.6/data/icons/rotated_splitter_handle.png
urh-1.6.6/data/icons/shrink.png
urh-1.6.6/data/icons/splitter_handle.png
urh-1.6.6/data/icons/unlock.svg
urh-1.6.6/data/icons/uparrow.png
urh-1.6.6/data/sniff_runter2-hexdiffman.txt
urh-1.6.6/data/sniff_runter2-hexman2.txt
urh-1.6.6/data/test3_noise.txt
urh-1.6.6/doc/Amateur Signals Intelligence.pdf
urh-1.6.6/doc/Codierungen.pdf
urh-1.6.6/doc/Gnuradio-Decouple.txt
urh-1.6.6/doc/QtViewMatrix.png
urh-1.6.6/doc/fm_demod.txt
urh-1.6.6/doc/gen_doc.py
urh-1.6.6/doc/screenshots/analysis_full.png
urh-1.6.6/doc/screenshots/choose_decoding.png
urh-1.6.6/doc/screenshots/decoding_1.png
urh-1.6.6/doc/screenshots/decoding_2.png
urh-1.6.6/doc/screenshots/interpretation_full.png
urh-1.6.6/doc/screenshots/record_signal.png
urh-1.6.6/doc/screenshots/youtube.png
urh-1.6.6/generate_ui.py
urh-1.6.6/misc/IQGenerator.py
urh-1.6.6/misc/Plotter.py
urh-1.6.6/misc/USRP_init.py
urh-1.6.6/misc/__init__.py
urh-1.6.6/misc/dsp.py
urh-1.6.6/misc/test.py
urh-1.6.6/release.py
urh-1.6.6/requirements.txt
urh-1.6.6/setup.py
urh-1.6.6/src/urh/ContinuousSceneManager.py
urh-1.6.6/src/urh/FFTSceneManager.py
urh-1.6.6/src/urh/LiveSceneManager.py
urh-1.6.6/src/urh/SceneManager.py
urh-1.6.6/src/urh/SignalSceneManager.py
urh-1.6.6/src/urh/SniffSceneManager.py
urh-1.6.6/src/urh/awre/CommonRange.py
urh-1.6.6/src/urh/awre/FormatFinder.py
urh-1.6.6/src/urh/awre/components/Address.py
urh-1.6.6/src/urh/awre/components/Component.py
urh-1.6.6/src/urh/awre/components/Flags.py
urh-1.6.6/src/urh/awre/components/Length.py
urh-1.6.6/src/urh/awre/components/Preamble.py
urh-1.6.6/src/urh/awre/components/SequenceNumber.py
urh-1.6.6/src/urh/awre/components/Type.py
urh-1.6.6/src/urh/constants.py
urh-1.6.6/src/urh/controller/CompareFrameController.py
urh-1.6.6/src/urh/controller/ContinuousSendDialogController.py
urh-1.6.6/src/urh/controller/DecoderWidgetController.py
urh-1.6.6/src/urh/controller/FilterDialogController.py
urh-1.6.6/src/urh/controller/FuzzingDialogController.py
urh-1.6.6/src/urh/controller/GeneratorTabController.py
urh-1.6.6/src/urh/controller/MainController.py
urh-1.6.6/src/urh/controller/MessageTypeDialogController.py
urh-1.6.6/src/urh/controller/ModulatorDialogController.py
urh-1.6.6/src/urh/controller/OptionsController.py
urh-1.6.6/src/urh/controller/PluginController.py
urh-1.6.6/src/urh/controller/ProjectDialogController.py
urh-1.6.6/src/urh/controller/ProtocolLabelController.py
urh-1.6.6/src/urh/controller/ProtocolSniffDialogController.py
urh-1.6.6/src/urh/controller/ReceiveDialogController.py
urh-1.6.6/src/urh/controller/SendDialogController.py
urh-1.6.6/src/urh/controller/SendRecvDialogController.py
urh-1.6.6/src/urh/controller/SignalDetailsController.py
urh-1.6.6/src/urh/controller/SignalFrameController.py
urh-1.6.6/src/urh/controller/SignalTabController.py
urh-1.6.6/src/urh/controller/SpectrumDialogController.py
urh-1.6.6/src/urh/cythonext/analyze.py
urh-1.6.6/src/urh/cythonext/build.py
urh-1.6.6/src/urh/cythonext/path_creator.pyx
urh-1.6.6/src/urh/cythonext/signalFunctions.pyx
urh-1.6.6/src/urh/cythonext/util.pyx
urh-1.6.6/src/urh/dev/BackendHandler.py
urh-1.6.6/src/urh/dev/PCAP.py
urh-1.6.6/src/urh/dev/VirtualDevice.py
urh-1.6.6/src/urh/dev/config.py
urh-1.6.6/src/urh/dev/gr/AbstractBaseThread.py
urh-1.6.6/src/urh/dev/gr/ReceiverThread.py
urh-1.6.6/src/urh/dev/gr/SenderThread.py
urh-1.6.6/src/urh/dev/gr/SpectrumThread.py
urh-1.6.6/src/urh/dev/gr/scripts/InputHandlerThread.py
urh-1.6.6/src/urh/dev/gr/scripts/airspy_recv.grc
urh-1.6.6/src/urh/dev/gr/scripts/airspy_recv.py
urh-1.6.6/src/urh/dev/gr/scripts/bladerf_recv.grc
urh-1.6.6/src/urh/dev/gr/scripts/bladerf_recv.py
urh-1.6.6/src/urh/dev/gr/scripts/bladerf_send.grc
urh-1.6.6/src/urh/dev/gr/scripts/bladerf_send.py
urh-1.6.6/src/urh/dev/gr/scripts/funcube-dongle_recv.grc
urh-1.6.6/src/urh/dev/gr/scripts/funcube-dongle_recv.py
urh-1.6.6/src/urh/dev/gr/scripts/hackrf_recv.grc
urh-1.6.6/src/urh/dev/gr/scripts/hackrf_recv.py
urh-1.6.6/src/urh/dev/gr/scripts/hackrf_send.grc
urh-1.6.6/src/urh/dev/gr/scripts/hackrf_send.py
urh-1.6.6/src/urh/dev/gr/scripts/rtl-sdr_recv.py
urh-1.6.6/src/urh/dev/gr/scripts/sdrplay_recv.grc
urh-1.6.6/src/urh/dev/gr/scripts/sdrplay_recv.py
urh-1.6.6/src/urh/dev/gr/scripts/usrp_recv.grc
urh-1.6.6/src/urh/dev/gr/scripts/usrp_recv.py
urh-1.6.6/src/urh/dev/gr/scripts/usrp_send.grc
urh-1.6.6/src/urh/dev/gr/scripts/usrp_send.py
urh-1.6.6/src/urh/dev/native/AirSpy.py
urh-1.6.6/src/urh/dev/native/Device.py
urh-1.6.6/src/urh/dev/native/ExtensionHelper.py
urh-1.6.6/src/urh/dev/native/HackRF.py
urh-1.6.6/src/urh/dev/native/LimeSDR.py
urh-1.6.6/src/urh/dev/native/RTLSDR.py
urh-1.6.6/src/urh/dev/native/RTLSDRTCP.py
urh-1.6.6/src/urh/dev/native/SendConfig.py
urh-1.6.6/src/urh/dev/native/USRP.py
urh-1.6.6/src/urh/dev/native/lib/airspy.pyx
urh-1.6.6/src/urh/dev/native/lib/cairspy.pxd
urh-1.6.6/src/urh/dev/native/lib/chackrf.pxd
urh-1.6.6/src/urh/dev/native/lib/climesdr.pxd
urh-1.6.6/src/urh/dev/native/lib/crtlsdr.pxd
urh-1.6.6/src/urh/dev/native/lib/cusrp.pxd
urh-1.6.6/src/urh/dev/native/lib/hackrf.pyx
urh-1.6.6/src/urh/dev/native/lib/limesdr.h
urh-1.6.6/src/urh/dev/native/lib/limesdr.pyx
urh-1.6.6/src/urh/dev/native/lib/rtlsdr.pyx
urh-1.6.6/src/urh/dev/native/lib/rtlsdr_fallback.pyx
urh-1.6.6/src/urh/dev/native/lib/usrp.c
urh-1.6.6/src/urh/dev/native/lib/usrp.pyx
urh-1.6.6/src/urh/main.py
urh-1.6.6/src/urh/models/FieldTypeTableModel.py
urh-1.6.6/src/urh/models/FileFilterProxyModel.py
urh-1.6.6/src/urh/models/FileIconProvider.py
urh-1.6.6/src/urh/models/FileSystemModel.py
urh-1.6.6/src/urh/models/FuzzingTableModel.py
urh-1.6.6/src/urh/models/GeneratorListModel.py
urh-1.6.6/src/urh/models/GeneratorTableModel.py
urh-1.6.6/src/urh/models/GeneratorTreeModel.py
urh-1.6.6/src/urh/models/LabelValueTableModel.py
urh-1.6.6/src/urh/models/PLabelTableModel.py
urh-1.6.6/src/urh/models/ParticipantLegendListModel.py
urh-1.6.6/src/urh/models/ParticipantListModel.py
urh-1.6.6/src/urh/models/PluginListModel.py
urh-1.6.6/src/urh/models/ProtocolLabelListModel.py
urh-1.6.6/src/urh/models/ProtocolTableModel.py
urh-1.6.6/src/urh/models/ProtocolTreeItem.py
urh-1.6.6/src/urh/models/ProtocolTreeModel.py
urh-1.6.6/src/urh/models/RulesetTableModel.py
urh-1.6.6/src/urh/models/TableModel.py
urh-1.6.6/src/urh/models/__init__.py
urh-1.6.6/src/urh/plugins/InsertSine/InsertSinePlugin.py
urh-1.6.6/src/urh/plugins/InsertSine/descr.txt
urh-1.6.6/src/urh/plugins/InsertSine/insert_sine_dialog.ui
urh-1.6.6/src/urh/plugins/InsertSine/settings.ui
urh-1.6.6/src/urh/plugins/MessageBreak/MessageBreakAction.py
urh-1.6.6/src/urh/plugins/MessageBreak/MessageBreakPlugin.py
urh-1.6.6/src/urh/plugins/MessageBreak/__init__.py
urh-1.6.6/src/urh/plugins/MessageBreak/descr.txt
urh-1.6.6/src/urh/plugins/MessageBreak/settings.ui
urh-1.6.6/src/urh/plugins/NetworkSDRInterface/NetworkSDRInterfacePlugin.py
urh-1.6.6/src/urh/plugins/NetworkSDRInterface/descr.txt
urh-1.6.6/src/urh/plugins/NetworkSDRInterface/settings.ui
urh-1.6.6/src/urh/plugins/Plugin.py
urh-1.6.6/src/urh/plugins/PluginManager.py
urh-1.6.6/src/urh/plugins/RfCat/RfCatPlugin.py
urh-1.6.6/src/urh/plugins/RfCat/descr.txt
urh-1.6.6/src/urh/plugins/RfCat/settings.ui
urh-1.6.6/src/urh/plugins/ZeroHide/ZeroHideAction.py
urh-1.6.6/src/urh/plugins/ZeroHide/ZeroHidePlugin.py
urh-1.6.6/src/urh/plugins/ZeroHide/__init__.py
urh-1.6.6/src/urh/plugins/ZeroHide/descr.txt
urh-1.6.6/src/urh/plugins/ZeroHide/settings.ui
urh-1.6.6/src/urh/plugins/__init__.py
urh-1.6.6/src/urh/signalprocessing/ContinuousModulator.py
urh-1.6.6/src/urh/signalprocessing/FieldType.py
urh-1.6.6/src/urh/signalprocessing/Filter.py
urh-1.6.6/src/urh/signalprocessing/Interval.py
urh-1.6.6/src/urh/signalprocessing/Message.py
urh-1.6.6/src/urh/signalprocessing/MessageType.py
urh-1.6.6/src/urh/signalprocessing/Modulator.py
urh-1.6.6/src/urh/signalprocessing/Participant.py
urh-1.6.6/src/urh/signalprocessing/ProtocoLabel.py
urh-1.6.6/src/urh/signalprocessing/ProtocolAnalyzer.py
urh-1.6.6/src/urh/signalprocessing/ProtocolAnalyzerContainer.py
urh-1.6.6/src/urh/signalprocessing/ProtocolGroup.py
urh-1.6.6/src/urh/signalprocessing/ProtocolSniffer.py
urh-1.6.6/src/urh/signalprocessing/Ruleset.py
urh-1.6.6/src/urh/signalprocessing/Signal.py
urh-1.6.6/src/urh/signalprocessing/encoder.py
urh-1.6.6/src/urh/ui/GeneratorListWidget.py
urh-1.6.6/src/urh/ui/GridScene.py
urh-1.6.6/src/urh/ui/KillerDoubleSpinBox.py
urh-1.6.6/src/urh/ui/LabeledArrow.py
urh-1.6.6/src/urh/ui/LegendScene.py
urh-1.6.6/src/urh/ui/ListWidget.py
urh-1.6.6/src/urh/ui/ROI.py
urh-1.6.6/src/urh/ui/ScrollArea.py
urh-1.6.6/src/urh/ui/ZoomableScene.py
urh-1.6.6/src/urh/ui/actions/ChangeSignalParameter.py
urh-1.6.6/src/urh/ui/actions/Clear.py
urh-1.6.6/src/urh/ui/actions/DeleteBitsAndPauses.py
urh-1.6.6/src/urh/ui/actions/EditSignalAction.py
urh-1.6.6/src/urh/ui/actions/Fuzz.py
urh-1.6.6/src/urh/ui/actions/InsertBitsAndPauses.py
urh-1.6.6/src/urh/ui/actions/InsertColumn.py
urh-1.6.6/src/urh/ui/actions/__init__.py
urh-1.6.6/src/urh/ui/delegates/CheckBoxDelegate.py
urh-1.6.6/src/urh/ui/delegates/ComboBoxDelegate.py
urh-1.6.6/src/urh/ui/delegates/SpinBoxDelegate.py
urh-1.6.6/src/urh/ui/delegates/__init__.py
urh-1.6.6/src/urh/ui/ui_analysis.py
urh-1.6.6/src/urh/ui/ui_decoding.py
urh-1.6.6/src/urh/ui/ui_filter_dialog.py
urh-1.6.6/src/urh/ui/ui_fuzzing.py
urh-1.6.6/src/urh/ui/ui_generator.py
urh-1.6.6/src/urh/ui/ui_main.py
urh-1.6.6/src/urh/ui/ui_messagetype_options.py
urh-1.6.6/src/urh/ui/ui_modulation.py
urh-1.6.6/src/urh/ui/ui_options.py
urh-1.6.6/src/urh/ui/ui_plugins.py
urh-1.6.6/src/urh/ui/ui_project.py
urh-1.6.6/src/urh/ui/ui_properties_dialog.py
urh-1.6.6/src/urh/ui/ui_send_recv.py
urh-1.6.6/src/urh/ui/ui_signal_details.py
urh-1.6.6/src/urh/ui/ui_signal_frame.py
urh-1.6.6/src/urh/ui/ui_tab_interpretation.py
urh-1.6.6/src/urh/ui/urh_rc.py
urh-1.6.6/src/urh/ui/views/DirectoryTreeView.py
urh-1.6.6/src/urh/ui/views/EditableGraphicView.py
urh-1.6.6/src/urh/ui/views/EpicGraphicView.py
urh-1.6.6/src/urh/ui/views/FuzzingTableView.py
urh-1.6.6/src/urh/ui/views/GeneratorListView.py
urh-1.6.6/src/urh/ui/views/GeneratorTableView.py
urh-1.6.6/src/urh/ui/views/GeneratorTreeView.py
urh-1.6.6/src/urh/ui/views/LabelValueTableView.py
urh-1.6.6/src/urh/ui/views/LegendGraphicView.py
urh-1.6.6/src/urh/ui/views/LiveGraphicView.py
urh-1.6.6/src/urh/ui/views/ModulatorTreeView.py
urh-1.6.6/src/urh/ui/views/ProtocolLabelListView.py
urh-1.6.6/src/urh/ui/views/ProtocolLabelTableView.py
urh-1.6.6/src/urh/ui/views/ProtocolTableView.py
urh-1.6.6/src/urh/ui/views/ProtocolTreeView.py
urh-1.6.6/src/urh/ui/views/SelectableGraphicView.py
urh-1.6.6/src/urh/ui/views/TableView.py
urh-1.6.6/src/urh/ui/views/TextEditProtocolView.py
urh-1.6.6/src/urh/ui/views/ZoomAndDropableGraphicView.py
urh-1.6.6/src/urh/ui/views/ZoomableGraphicView.py
urh-1.6.6/src/urh/ui/views/__init__.py
urh-1.6.6/src/urh/ui/xtra_icons_rc.py
urh-1.6.6/src/urh/util/Errors.py
urh-1.6.6/src/urh/util/FileOperator.py
urh-1.6.6/src/urh/util/Formatter.py
urh-1.6.6/src/urh/util/Logger.py
urh-1.6.6/src/urh/util/ProjectManager.py
urh-1.6.6/src/urh/util/RingBuffer.py
urh-1.6.6/src/urh/util/SettingsProxy.py
urh-1.6.6/src/urh/util/__init__.py
urh-1.6.6/src/urh/util/crc.py
urh-1.6.6/src/urh/util/util.py
urh-1.6.6/src/urh/version.py
urh-1.6.6/tests/HackRFTests.py
urh-1.6.6/tests/PlotTests.py
urh-1.6.6/tests/QtTestCase.py
urh-1.6.6/tests/SignalPerformance.py
urh-1.6.6/tests/TestAirSpy.py
urh-1.6.6/tests/TestGeneratorTablePerformance.py
urh-1.6.6/tests/TestInstallation.py
urh-1.6.6/tests/TestLimeSDR.py
urh-1.6.6/tests/TestRTLSDR.py
urh-1.6.6/tests/TestRTLSDRPipe.py
urh-1.6.6/tests/TestRTLSDRTCP.py
urh-1.6.6/tests/TestUSRP.py
urh-1.6.6/tests/__init__.py
urh-1.6.6/tests/data/ASK_mod.complex
urh-1.6.6/tests/data/ask.complex
urh-1.6.6/tests/data/awre_consistent_addresses.txt
urh-1.6.6/tests/data/awre_zeroed_crc.txt
urh-1.6.6/tests/data/constant_bits.txt
urh-1.6.6/tests/data/decoded_bits.txt
urh-1.6.6/tests/data/decoded_with_trash.txt
urh-1.6.6/tests/data/elektromaten.complex
urh-1.6.6/tests/data/enocean.complex
urh-1.6.6/tests/data/enocean_bits.txt
urh-1.6.6/tests/data/esaver.complex
urh-1.6.6/tests/data/fsk.complex
urh-1.6.6/tests/data/protocol.proto
urh-1.6.6/tests/data/psk_gen_noisy.complex
urh-1.6.6/tests/data/steckdose_anlernen.complex
urh-1.6.6/tests/data/two_participants.complex
urh-1.6.6/tests/data/unaveraged.complex
urh-1.6.6/tests/data/undecoded.txt
urh-1.6.6/tests/data/vw_symbols.complex
urh-1.6.6/tests/debug_tests.py
urh-1.6.6/tests/docker/archlinux/Dockerfile
urh-1.6.6/tests/docker/archlinux/install_from_aur.sh
urh-1.6.6/tests/docker/centos7/Dockerfile
urh-1.6.6/tests/docker/debian8/Dockerfile
urh-1.6.6/tests/docker/debian8/install_from_source.sh
urh-1.6.6/tests/docker/docker_util.py
urh-1.6.6/tests/docker/gentoo/Dockerfile
urh-1.6.6/tests/docker/gentoo/run_from_source.sh
urh-1.6.6/tests/docker/info.txt
urh-1.6.6/tests/docker/kali/Dockerfile
urh-1.6.6/tests/docker/kali/install_with_pip.sh
urh-1.6.6/tests/docker/ubuntu1404/Dockerfile
urh-1.6.6/tests/docker/ubuntu1404/install_with_pip.sh
urh-1.6.6/tests/docker/ubuntu1604/Dockerfile
urh-1.6.6/tests/docker/ubuntu1604/test_native_backends_installed.sh
urh-1.6.6/tests/test_CRC.py
urh-1.6.6/tests/test_GFSK.py
urh-1.6.6/tests/test_PCAP.py
urh-1.6.6/tests/test_RSSI.py
urh-1.6.6/tests/test_analysis_tab_GUI.py
urh-1.6.6/tests/test_auto_assignments.py
urh-1.6.6/tests/test_autodetections.py
urh-1.6.6/tests/test_awre.py
urh-1.6.6/tests/test_continuous_modulator.py
urh-1.6.6/tests/test_decoding_gui.py
urh-1.6.6/tests/test_demodulations.py
urh-1.6.6/tests/test_directory_tree_view.py
urh-1.6.6/tests/test_encoding.py
urh-1.6.6/tests/test_file_operator.py
urh-1.6.6/tests/test_filter.py
urh-1.6.6/tests/test_fuzzing_dialog.py
urh-1.6.6/tests/test_fuzzing_profile.py
urh-1.6.6/tests/test_generator.py
urh-1.6.6/tests/test_interval.py
urh-1.6.6/tests/test_labels.py
urh-1.6.6/tests/test_maincontroller_gui.py
urh-1.6.6/tests/test_message_type_options_gui.py
urh-1.6.6/tests/test_messagetype.py
urh-1.6.6/tests/test_modulator.py
urh-1.6.6/tests/test_modulator_gui.py
urh-1.6.6/tests/test_options_gui.py
urh-1.6.6/tests/test_plugins.py
urh-1.6.6/tests/test_project_manager.py
urh-1.6.6/tests/test_protocol_analyzer.py
urh-1.6.6/tests/test_protocol_label_dialog.py
urh-1.6.6/tests/test_protocol_table.py
urh-1.6.6/tests/test_ringbuffer.py
urh-1.6.6/tests/test_send_recv_dialog_gui.py
urh-1.6.6/tests/test_signal.py
urh-1.6.6/tests/test_signal_details_gui.py
urh-1.6.6/tests/test_signal_tab_GUI.py
urh-1.6.6/tests/test_text_edit_protocol_view.py
urh-1.6.6/tests/test_whitening.py
urh-1.6.6/tests/test_win_native_backend.py
urh-1.6.6/tests/utils_testing.py
urh-1.6.6/ui/analysis.ui
urh-1.6.6/ui/decoding.ui
urh-1.6.6/ui/decoding.ui.old
urh-1.6.6/ui/filter_dialog.ui
urh-1.6.6/ui/fuzzing.ui
urh-1.6.6/ui/generator.ui
urh-1.6.6/ui/main.ui
urh-1.6.6/ui/messagetype_options.ui
urh-1.6.6/ui/modulation.ui
urh-1.6.6/ui/options.ui
urh-1.6.6/ui/plugins.ui
urh-1.6.6/ui/project.ui
urh-1.6.6/ui/properties_dialog.ui
urh-1.6.6/ui/send_recv.ui
urh-1.6.6/ui/signal_details.ui
urh-1.6.6/ui/signal_frame.ui
urh-1.6.6/ui/tab_interpretation.ui
urh-1.6.6/urh.desktop
urh-1.6.6/urh.qrc

Source checksums
----------------
https://github.com/jopohl/urh/archive/v1.6.6.tar.gz#/urh-1.6.6.tar.gz :
  CHECKSUM(SHA256) this package     : def2258752c6a24d215949a7c41baf0a4a90191750148bb6db9536c423dcdae3
  CHECKSUM(SHA256) upstream package : def2258752c6a24d215949a7c41baf0a4a90191750148bb6db9536c423dcdae3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -vn urh
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Gwyn Ciesla 2017-06-23 16:28:45 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/urh

Comment 8 Fedora Update System 2017-06-23 16:58:45 UTC
urh-1.6.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2df06489c5

Comment 9 Fedora Update System 2017-06-24 22:23:20 UTC
urh-1.6.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ebde1f6c3

Comment 10 Fedora Update System 2017-06-25 01:19:39 UTC
urh-1.6.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2df06489c5

Comment 11 Fedora Update System 2017-07-04 01:52:30 UTC
urh-1.6.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-07-07 22:57:45 UTC
urh-1.6.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.